Get BP Record
GET /ws/rest/service/v1/bp/record/{project_number}
Purpose
Get a record from a specific BP in a shell based on the shell number or from the company level if a shell number is not provided.
The input JSON shall provide various options to be considered for fetching the data
Request Parameters
All parameters should be URL encoded.
Path Parameter
project_num: Specify the Project number in which the records exists; if not provided, records are fetched from Company Level.
GET URL Parameter
input =
{
"bpname" : "Vendors",
"record_no" : "VEN-0023",
"lineitem":"yes"
}
Here "record_no" and "bpname" are mandatory input parameter.
The "lineitem" is by default "yes", if not provided.
Response Format
A JSON object is returned in the following format.
{
"data": [],
"message": [],
"status": <REST status code value>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Note If Integration interface is defined for that BP, all fields defined in this interface will be sent in the response.
If the Integration interface is not defined, all custom-defined fields will be sent in response.
For general spends, payment application, or generic cost BPs, the following funding details are also included in the response:
- unassigned_amount
- fund information as a JSON array with the following values:
- code
- fund_balance
- assigned_amount
Sample Success Response
{
"data":
[
{
"uuu_user_id":"a@abc.com",
"uuu_record_last_update_date":"2018/04/23 11:06",
"uveFaxTB16":null,
"uveCertificateNoTB64":null,
"uvePrimaryContactTB64":"a",
"title":"v-00101",
"uveLicenseNoTB16":null,
"uuu_contact_company":"v-00101",
"uveCOIAmoutCA":0.0,
"_bp_lineitems":
[
{
"uirCntctFstNmTB":"a",
"uuu_user_workphone":null,
"uuu_tab_id":"List of Contacts",
"title":"t",
"ugenAddress1TXT120":null,
"ugenAddress2TXT120":null,
"ugenCountryPD":null,
"ugenCityTXT50":null,
"short_desc":"Vendor Contact",
"li_num":1,
"uriCntctLstNmTB":"b",
"ugenStatePD":null,
"ugenZipCodeTXT16":null,
"uveEmailTB120":null,
"ugenAddress3TXT120":null
}
],
"uvePolicyNoTB32":null,
"record_no":"VEN-0023",
"uveVendorTypePD":"Architect",
"ugenCityTXT50":null,
"uveCoiExpDOP":null,
"uuu_dm_publish_path":"v_path",
"uuu_contact_last_name":"b",
"ugenZipCodeTXT16":null,
"uveEmailTB120":"a@abc.com",
"ugenAddress3TXT120":null,
"uveReferenceIdTB16":null,
"uuu_creation_date":"2018/04/12 09:01",
"ugenRemarksTB4000":null,
"uvePhoneTB64":null,
"uveTaxIDTB16":null,
"uveMinorityBusCB":0,
"uveInsuranceCoTB32":null,
"ugenExpirationDateDOP":null,
"uveWomanOwnedCB":0,
"uveVendorNameTB50":"v-00101",
"ugenAddress1TXT120":null,
"uveDisadvantagedBusCB":0,
"ugenDiscipline":null,
"creator_id":"Company Administrator",
"ugenAddress2TXT120":null,
"ugenCountryPD":null,
"uveVendorIDTB16":"v-00101",
"ugenStatePD":null,
"uuu_contact_first_name":"a",
"status":"Active"
}
],
"message": [ "success" ],
"status":200
}
Related Topics
Get BP Record With Attachments
Create BP Record with Attachment
Update BP Record with Attachment
Fetch BP Record List with filter_criteria
Payment Application with Auto-populate from SOV and Commits
Asynchronous Bulk BP Operations
Fetch List of Attached Files in a BP
Download a Single Attached File in a BP
Download Multipart or Large Files
Last Published Friday, February 27, 2026